Description

9- Improper Input Validation

CWE : CWE-20

Description :

The product receives input or data, but it does not validate or incorrectly validates that
the input has the properties that are required to process the data safely and correctly.
Affected Path(s) :

https://earogya.satragroup.in/configuration/all_master *-Applicable to entire
application

Impact :

When software does not validate input properly, an attacker is able to craft the input in
a form that is not expected by the rest of the application. This will lead to parts of the
system receiving unintended input, which may result in altered control flow, arbitrary
control of a resource, or arbitrary code execution.

Recommendation :

Assume all inputs are malicious.

Use an "accept known good" input validation strategy, i.e., use a list of acceptable
inputs that strictly conform to specifications. Reject any input that does not

strictly conform to specifications, or transform it into something that does.When
performing input validation, consider all potentially relevant properties, including
length, type of input, the full range of acceptable values, missing or extra inputs,
syntax, consistency across related fields, and conformance to business rules.
Evidence/Proof Of Concept :

Step 1: Inject malicious scripts in the input fields and click on Submit button .It is Observed
that details updated successfully.
History

#1 - 23/04/2024 02:15 AM - Deepika Valluri
- Status changed from New to In Progress

- Assignee set to Deepika Valluri

#2 - 25/04/2024 11:59 PM - Karthik Daram

- Assignee changed from Deepika Valluri to Karthik Daram

#3 - 25/04/2024 11:59 PM - Karthik Daram

- Status changed from In Progress to Resolved

#4 - 03/05/2024 05:24 AM - Sivakanth Kesiraju
- Target version set to Sprint 1 (29th April - 3rd May)

#5 - 03/05/2024 05:28 AM - Sivakanth Kesiraju
- Target version changed from Sprint 1 (29th April - 3rd May) to Security Audit

#6 - 30/09/2024 05:21 PM - Gautam Kumar

- Status changed from Resolved to Closed
